A simple web application: URL follower
======================================

This is a simple web application which allows users to generate
short tracked URLS from longer ones.  A short URL redirects to
the original URL, when followed.  It is tracked in the sense that
a counter is incremented, every time the URL is followed.


Installation
------------

Assuming you have a working Python 2.x and `virtualenv`, clone
the repository and then type:

```sh
virtualenv --no-site-packages venv
source venv/bin/activate.csh
pip install -r requirements.txt
```

Then prepare the database:

```sh
python manage.py migrate
```

To deploy the server:

```sh
python manage.py runserver
```

and then go to [http://localhost:8000/](http://localhost:8000/).


Step by step
------------

A better description of how to arrive here one step at a time,
from scratch, is found in the README file in branch `prepare`.

Otherwise, just follow the commits, in exactly the order we
showed them in the lab on Monday, June 15, 2015.

In the lab, we went up to 6862efd3 but then I took the liberty
to continue a bit further.

---

Enjoy...

Nikos Papaspyrou
